/* dashboard.css */

.dashboard-container {
    display: flex;
    flex-direction: column;
    height: 95vh;
    width: 100%;
    padding: 2px;
    box-sizing: border-box;
    gap: 35px;
    position: relative;
    overflow: hidden;
}

.dashboard-row {
    display: flex;
    width: 100%;
    gap: 13px;
    height: 100%; /* Asegura que la fila ocupe el 100% del espacio disponible */
}

.dashboard-card {
    background-color: white;
    border-radius: 8px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    padding: 15px;
    flex: 1; /* Permite que las tarjetas crezcan según el espacio disponible */
    height: 100%; /* Asegura que las tarjetas ocupen el 100% de la altura de la fila */
    display: flex;
    flex-direction: column;
    overflow: hidden;
}

.dashboard-card.multi-row {
    background-color: white;
    border-radius: 8px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    padding: 15px;
    flex: 1; /* Permite que las tarjetas crezcan según el espacio disponible */
    height: 100%; /* Asegura que las tarjetas ocupen el 100% de la altura de la fila */
    display: flex;
    flex-direction: column;
    overflow: hidden;
}

.dashboard-card h3 {
    margin-top: 0;
    margin-bottom: 10px;
    font-size: 0.9em;
    color: #333;
    text-transform:uppercase;
}

.card-content {
    flex-grow: 1;
    overflow: auto;
}

.big-number {
    font-size: 4em;
    font-weight: bold;
    color: #4a7b8c;
}

.big-text {
    font-size: 1.5em;
    font-weight: bold;
    color: #4a7b8c;
}

.description {
    font-size: 0.9em;
    color: #666;
}
.weather-widget {
    font-family: Arial, sans-serif;
    background: linear-gradient(to bottom right, #4a90e2, #63b8ff);
    color: white;
    padding: 15px;
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}
.weather-widget.day {
    background: linear-gradient(to bottom right, #4a90e2, #63b8ff);
    color: white;
}

.weather-widget.night {
    background: linear-gradient(to bottom right, #1c2331, #47586a);
    color: #e0e0e0;
}
.weather-main {
    display: flex;
    align-items: center;
    margin-bottom: 15px;
}

.weather-icon {
    font-size: 3em;
    margin-right: 15px;
}

.weather-temp {
    font-size: 2.5em;
    font-weight: bold;
}

.weather-desc {
    font-size: 1.1em;
    margin-left: 15px;
    margin-bottom: 15px;
}
.weather-widget .city-name {
    color: white;
    margin: 0 0 5px 0;
    font-size: 1.2em;
}
.weather-details, .weather-extra {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 9px;
    font-size: 0.9em;
}

.weather-extra {
    margin-top: 15px;
    border-top: 1px solid rgba(255, 255, 255, 0.3);
    padding-top: 15px;
}
/* Estilos comunes para etiquetas destacadas */
.foraging-source-name,
.date-range-label {
    font-weight:500;
    color: #4a7b8c;
    font-size: 15px;
    padding-top: 9px;
}

/* Estilos para Fuentes de Forrajeo */
.foraging-source-item {
    display: flex;
    justify-content: space-between;
    margin-bottom: 5px;
    font-size: 14px;
}

.foraging-source-count {
    color: #333;
}

/* Estilos para Rango de Fechas */
.date-range-item {
    margin-bottom: 10px;
    font-size: 14px;
}

.date-range-label {
    margin-right: 5px;
}

.date-range-value {
    color: #333;
}

/* Estilo para cuando no hay datos disponibles */
.no-data {
    color: #999;
    font-style: italic;
}
@keyframes highlight {
    0% { color: #add4e1; }
    50% { color: #76adbf; }
    100% { color: #4a7b8c; }
}

#totalHivesCount {
    animation: highlight 2s ease-in-out;
}
